group "Premium.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 3 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
premiumType?, pricePerOption?, percentageOfNotional?

Content Model Elements (3):

  percentageOfNotional (in premium defined in OptionBaseExtended complexType),
  premiumType (in premium defined in OptionBaseExtended complexType),
  pricePerOption (in premium defined in OptionBaseExtended complexType)

Known Usage Locations

- In definitions of global complexTypes (1):
  Premium

Annotation
A model group for representing the option premium when expressed in a way other than an amount.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="Premium.model"> <xsd:sequence> <xsd:element minOccurs="0" name="premiumType" type="PremiumTypeEnum"/> <xsd:element minOccurs="0" name="pricePerOption" type="Money"/> <xsd:element minOccurs="0" name="percentageOfNotional" type="xsd:decimal"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
percentageOfNotional

  Type: | xsd:decimal, predefined, simple content

  The amount of premium to be paid expressed as a percentage of the notional value of the transaction. A percentage of 5% would be expressed as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="percentageOfNotional" type="xsd:decimal"/>

premiumType

  Type: | PremiumTypeEnum, simple content

  Forward start Premium type
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "PrePaid" | - | TODO See: http://www.FpML.org
  "PostPaid" | - | TODO See: http://www.FpML.org
  "Variable" | - | TODO See: http://www.FpML.org
  "Fixed" | - | TODO See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="premiumType" type="PremiumTypeEnum"/>

pricePerOption

  Type: | Money, complex content

  The amount of premium to be paid expressed as a function of the number of options.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="pricePerOption" type="Money"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.